Subject: [RFC/PATCH 0/4] Re-implement 'remote update' using 'fetch'

From: Björn Gustavsson <[email-masked]>
Date: Sun, 08 Nov 2009 16:44:52 +0100

After having done my previous patch to implement 'git fetch --all'
I decided to implement as much functionality in 'git fetch' to
make it possibility to re-implement 'git remote update' in terms of
'git fetch'.

The following things are currently missing from the patch series:

* updated documentation
* test cases for the group functionality in fetch
* support for 'git remote update --prune'

There is also a slight backward incompatibility that I know of (see the commit
message for the last commit). I could fix that, if there are
people depending on it.

I have no idea how much of the group functionality is really used. If someone
knows that "no-one uses THIS feature and" it would be nice to know.

Björn Gustavsson (4):
  Teach the --all option to 'git fetch'
  Teach the --multiple option to 'git fetch'
  Add the configure variable skipFetchAll
  Re-implement 'git remote update' using 'git fetch'

 Documentation/git-fetch.txt |    5 ++
 builtin-fetch.c             |  158 ++++++++++++++++++++++++++++++++++++++-----
 builtin-remote.c            |   86 +++++++----------------
 remote.c                    |    3 +-
 t/t5514-fetch-all.sh        |   76 +++++++++++++++++++++
 5 files changed, 249 insertions(+), 79 deletions(-)
 create mode 100755 t/t5514-fetch-all.sh